using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Charting;
using Telerik.Web.UI;
using System.Drawing;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            RadChart1.DataSource = GetData();
            RadChart1.DataBind();
        }
    }

    private DataTable GetData()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Data", typeof(int));

        Random rand = new Random(DateTime.Now.Millisecond);

        for (int i = 0; i < 20; i++)
        {
            DataRow dr = dt.NewRow();
            double val = rand.Next(0, 100);
            dr[0] = val;

            dt.Rows.Add(dr);
        }

        return dt;
    }
}
